
Foreman - Bug #21857

uglifier 4.x fails to precompile assets

12/04/2017 10:18 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: JavaScript stack   

Target version: 1.16.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5053,

https://github.com/theforeman/foreman/p

ull/5399

  

Description

[...]

10:50:09 I, [2017-12-04T10:50:09.317696 #3386]  INFO -- : Writing /var/lib/workspace/workspace/pac

kaging_build_deb_coreproject/arch/x86/label/debian/os/stretch/debian/stretch/build-foreman/foreman

-1.17.0/public/assets/compute_resources/vmware/nic_info-0c13e72d49157c9e5a2df17cbf5ef2d5c69df57463

c106ae0c513c7f3709c553.js

10:50:09 I, [2017-12-04T10:50:09.318479 #3386]  INFO -- : Writing /var/lib/workspace/workspace/pac

kaging_build_deb_coreproject/arch/x86/label/debian/os/stretch/debian/stretch/build-foreman/foreman

-1.17.0/public/assets/compute_resources/vmware/nic_info-0c13e72d49157c9e5a2df17cbf5ef2d5c69df57463

c106ae0c513c7f3709c553.js.gz

10:50:09 rake aborted!

10:50:09 Uglifier::Error: Unexpected token: keyword (const). To use ES6 syntax, harmony mode must 

be enabled with Uglifier.new(:harmony => true).

10:50:09 /var/lib/gems/2.3.0/gems/uglifier-4.0.1/lib/uglifier.rb:237:in `parse_result'

10:50:09 /var/lib/gems/2.3.0/gems/uglifier-4.0.1/lib/uglifier.rb:219:in `run_uglifyjs'

10:50:09 /var/lib/gems/2.3.0/gems/uglifier-4.0.1/lib/uglifier.rb:169:in `compile'

[...]

Associated revisions

Revision 9e67484d - 12/05/2017 03:59 AM - Michael Moll 

Fixes #21857 - don't use ES6 syntax in Rails JS asset

History

#1 - 12/04/2017 10:20 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5053 added

#2 - 12/05/2017 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9e67484d0136ca748e3900b96da9f5d2c4168e6b.

#3 - 02/27/2018 06:06 PM - Anonymous

- Related to Bug #22711: Webpack uglifier errors out added

#4 - 02/28/2018 07:09 PM - Anonymous

- Related to deleted (Bug #22711: Webpack uglifier errors out)

#5 - 04/03/2018 08:37 PM - The Foreman Bot
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9e67484d0136ca748e3900b96da9f5d2c4168e6b


- Pull request https://github.com/theforeman/foreman/pull/5399 added
